# Roadmap
- [x] Add error messages, especially for malformed input
- [ ] Implement options for `find_phone_numbers` and `replace_phone_numbers`
- [x] Implement [Stale](https://github.com/probot/stale) for issue
- [ ] Implement Automatic Deployments
- [x] Look into using hashes instead of array for testing infrastructure
- [ ] Look into using custom rspec matchers
- [x] Travis badge for marketing
- [x] Use Ruby that's already installed on TravisCI
- [ ] Use threads for true Map/Reduce. Look into [Celluloid](https://github.com/celluloid/celluloid)
- [ ] Have check domain (for email matches) as an option (not only on :aggressive option) to reduce over matching
- [ ] Check TLD to make sure it's a valid TLD as an option to reduce over matching
- [x] Refactor tests to use hashes instead of arrays
- [ ] Allow use of function based replacement instead of forcing yield functionality
- [ ] Implement URL functionality
- [ ] Change URL to keywords list functionality
- [ ] Robust-ify the overlapping interval scenario
- [x] Get setup on Code Climate once the repo goes open source
- [ ] Think about using InchCI (inline docs) instead of README
- [x] Creating a `spec_helper.rb` and use tools like SimpleCov, 
- [ ] Look into using Shoulda matchers, and test randomization.
